> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/golf-integration/readme/static-data.md).

# Static data

**In order to run the golf event centre, you will need the minimum static information:**

* Tournament ID
* Group ID

**Required Headers to use our endpoints:**

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

In order retrieve a list of "tournaments" , please hit the IMG golf tournament endpoint:

New Endpoint: `https://dde-api.data.imgarena.com/golf/tournaments/`

Legacy Endpoint: `https://dde-api.imggaming.com/golf/tournaments`

Note the Key values needed from this endpoint:

| Endpoint | Description                    | Link to Sandbox |
| -------- | ------------------------------ | --------------- |
| name     | name of the tournament         | -               |
| id       | unique IMG Arena tournament ID | eventId         |

**If you want to look at just the information for a particular tournament, you can pass the event ID i.e:**

`https://dde-api.data.imgarena.com/golf/tournaments/{id}`

You will then need to retrieve all the groups for a selected tournament. This can be achieved by hitting the Schedule endpoint.

`https://dde-api.data.imgarena.com/golf/tournaments/{id}/schedule`

Note the Key values needed from this endpoint:

| Endpoint      | Description                                  | Link to Sandbox |
| ------------- | -------------------------------------------- | --------------- |
| round         | round number                                 | roundNo         |
| groupNo       | group number for the given round             | groupNo         |
| displayName\* | Name of the players taking part in the group | -               |

\*Not needed but useful information.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/golf-integration/readme/static-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
